<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FichierArchive StructType
 * @subpackage Structs
 */
class FichierArchive extends AbstractStructBase
{
    /**
     * The DossierID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $DossierID;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Type;
    /**
     * The Titulaire
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Titulaire;
    /**
     * The Vin
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Vin;
    /**
     * The Immatriculation
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Immatriculation;
    /**
     * The DateUA
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $DateUA;
    /**
     * The Archive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Archive;
    /**
     * The NomArchive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $NomArchive;
    /**
     * Constructor method for FichierArchive
     * @uses FichierArchive::setDossierID()
     * @uses FichierArchive::setType()
     * @uses FichierArchive::setTitulaire()
     * @uses FichierArchive::setVin()
     * @uses FichierArchive::setImmatriculation()
     * @uses FichierArchive::setDateUA()
     * @uses FichierArchive::setArchive()
     * @uses FichierArchive::setNomArchive()
     * @param string $dossierID
     * @param string $type
     * @param string $titulaire
     * @param string $vin
     * @param string $immatriculation
     * @param string $dateUA
     * @param string $archive
     * @param string $nomArchive
     */
    public function __construct($dossierID = null, $type = null, $titulaire = null, $vin = null, $immatriculation = null, $dateUA = null, $archive = null, $nomArchive = null)
    {
        $this
            ->setDossierID($dossierID)
            ->setType($type)
            ->setTitulaire($titulaire)
            ->setVin($vin)
            ->setImmatriculation($immatriculation)
            ->setDateUA($dateUA)
            ->setArchive($archive)
            ->setNomArchive($nomArchive);
    }
    /**
     * Get DossierID value
     * @return string
     */
    public function getDossierID()
    {
        return $this->DossierID;
    }
    /**
     * Set DossierID value
     * @param string $dossierID
     * @return \StructType\FichierArchive
     */
    public function setDossierID($dossierID = null)
    {
        // validation for constraint: string
        if (!is_null($dossierID) && !is_string($dossierID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossierID, true), gettype($dossierID)), __LINE__);
        }
        $this->DossierID = $dossierID;
        return $this;
    }
    /**
     * Get Type value
     * @return string
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \StructType\FichierArchive
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get Titulaire value
     * @return string
     */
    public function getTitulaire()
    {
        return $this->Titulaire;
    }
    /**
     * Set Titulaire value
     * @param string $titulaire
     * @return \StructType\FichierArchive
     */
    public function setTitulaire($titulaire = null)
    {
        // validation for constraint: string
        if (!is_null($titulaire) && !is_string($titulaire)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($titulaire, true), gettype($titulaire)), __LINE__);
        }
        $this->Titulaire = $titulaire;
        return $this;
    }
    /**
     * Get Vin value
     * @return string
     */
    public function getVin()
    {
        return $this->Vin;
    }
    /**
     * Set Vin value
     * @param string $vin
     * @return \StructType\FichierArchive
     */
    public function setVin($vin = null)
    {
        // validation for constraint: string
        if (!is_null($vin) && !is_string($vin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vin, true), gettype($vin)), __LINE__);
        }
        $this->Vin = $vin;
        return $this;
    }
    /**
     * Get Immatriculation value
     * @return string
     */
    public function getImmatriculation()
    {
        return $this->Immatriculation;
    }
    /**
     * Set Immatriculation value
     * @param string $immatriculation
     * @return \StructType\FichierArchive
     */
    public function setImmatriculation($immatriculation = null)
    {
        // validation for constraint: string
        if (!is_null($immatriculation) && !is_string($immatriculation)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($immatriculation, true), gettype($immatriculation)), __LINE__);
        }
        $this->Immatriculation = $immatriculation;
        return $this;
    }
    /**
     * Get DateUA value
     * @return string
     */
    public function getDateUA()
    {
        return $this->DateUA;
    }
    /**
     * Set DateUA value
     * @param string $dateUA
     * @return \StructType\FichierArchive
     */
    public function setDateUA($dateUA = null)
    {
        // validation for constraint: string
        if (!is_null($dateUA) && !is_string($dateUA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateUA, true), gettype($dateUA)), __LINE__);
        }
        $this->DateUA = $dateUA;
        return $this;
    }
    /**
     * Get Archive value
     * @return string
     */
    public function getArchive()
    {
        return $this->Archive;
    }
    /**
     * Set Archive value
     * @param string $archive
     * @return \StructType\FichierArchive
     */
    public function setArchive($archive = null)
    {
        // validation for constraint: string
        if (!is_null($archive) && !is_string($archive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($archive, true), gettype($archive)), __LINE__);
        }
        $this->Archive = $archive;
        return $this;
    }
    /**
     * Get NomArchive value
     * @return string
     */
    public function getNomArchive()
    {
        return $this->NomArchive;
    }
    /**
     * Set NomArchive value
     * @param string $nomArchive
     * @return \StructType\FichierArchive
     */
    public function setNomArchive($nomArchive = null)
    {
        // validation for constraint: string
        if (!is_null($nomArchive) && !is_string($nomArchive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomArchive, true), gettype($nomArchive)), __LINE__);
        }
        $this->NomArchive = $nomArchive;
        return $this;
    }
}
