<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Ouvrir_Req StructType
 * @subpackage Structs
 */
class Ouvrir_Req extends AbstractStructBase
{
    /**
     * The IDDemarche
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDDemarche;
    /**
     * The TypeDemarche
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $TypeDemarche;
    /**
     * The Identification
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TypeIdentification
     */
    public $Identification;
    /**
     * Constructor method for Ouvrir_Req
     * @uses Ouvrir_Req::setIDDemarche()
     * @uses Ouvrir_Req::setTypeDemarche()
     * @uses Ouvrir_Req::setIdentification()
     * @param int $iDDemarche
     * @param string $typeDemarche
     * @param \StructType\TypeIdentification $identification
     */
    public function __construct($iDDemarche = null, $typeDemarche = null, \StructType\TypeIdentification $identification = null)
    {
        $this
            ->setIDDemarche($iDDemarche)
            ->setTypeDemarche($typeDemarche)
            ->setIdentification($identification);
    }
    /**
     * Get IDDemarche value
     * @return int
     */
    public function getIDDemarche()
    {
        return $this->IDDemarche;
    }
    /**
     * Set IDDemarche value
     * @param int $iDDemarche
     * @return \StructType\Ouvrir_Req
     */
    public function setIDDemarche($iDDemarche = null)
    {
        // validation for constraint: int
        if (!is_null($iDDemarche) && !(is_int($iDDemarche) || ctype_digit($iDDemarche))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iDDemarche, true), gettype($iDDemarche)), __LINE__);
        }
        $this->IDDemarche = $iDDemarche;
        return $this;
    }
    /**
     * Get TypeDemarche value
     * @return string
     */
    public function getTypeDemarche()
    {
        return $this->TypeDemarche;
    }
    /**
     * Set TypeDemarche value
     * @param string $typeDemarche
     * @return \StructType\Ouvrir_Req
     */
    public function setTypeDemarche($typeDemarche = null)
    {
        // validation for constraint: string
        if (!is_null($typeDemarche) && !is_string($typeDemarche)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($typeDemarche, true), gettype($typeDemarche)), __LINE__);
        }
        $this->TypeDemarche = $typeDemarche;
        return $this;
    }
    /**
     * Get Identification value
     * @return \StructType\TypeIdentification|null
     */
    public function getIdentification()
    {
        return $this->Identification;
    }
    /**
     * Set Identification value
     * @param \StructType\TypeIdentification $identification
     * @return \StructType\Ouvrir_Req
     */
    public function setIdentification(\StructType\TypeIdentification $identification = null)
    {
        $this->Identification = $identification;
        return $this;
    }
}
